### `beforeinput`

Event fires before the value in the input field changes, allowing you to prevent or modify data input.

**Parameters:**
- `event: InputEvent` — original DOM input event

**Input type examples (inputType):**
- `insertText` — text input
- `insertFromPaste` — paste from clipboard
- `deleteContentBackward` — delete character backward (Backspace)
- `deleteContentForward` — delete character forward (Delete)
- `insertLineBreak` — insert line break
